# Android

## Android Backups

* Restore a backup by making a tar file out of it via
```sh
( printf "\x1f\x8b\x08\x00\x00\x00\x00\x00" ; tail -c +25 backup.ab ) |  tar xfvz 
```

## Android React

A React Native app may be extracted and searched by
```sh
cp com.example.apk example-apk.zip
unzip -qq example-apk.zip -d ReactNative
cd ReactNative
find . -print | grep -i ".bundle$"
``` 
and pretty print the Javascript in the browser
This is taken from  [Hacktricks' How-To](https://book.hacktricks.xyz/mobile-pentesting/android-app-pentesting/react-native-application)
