# GRPC

## Gain intel on the available sources on a server

List the available sources on the grpc server
```sh
grpcurl -plaintext $TARGET_IP list
```

Pick one of the listed services and connect to it
```sh
grpcurl -plaintext $TARGET_IP list $FOUND_SERVICE
```

Get a description for the selected service and their functions
```sh
grpcurl -plaintext $TARGET_IP describe $FOUND_SERVICE
```

## User Services on the Server

Request the found functions of the service
```sh
grpcurl -plaintext $TARGET_IP describe $FOUND_SERVICE.FUNCTION
```

### Use the WebUI

Open a WebUI on localhost to do the requests on the selected `$TARGET_IP`
```sh
grpcui -plaintext $TARGET_IP
```




